%define tarball xf86-video-via
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%define with_xvmc 1

%ifarch %{ix86} x86_64
%define with_dri 1
%else
%define with_dri 0
%endif

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 via video driver
Name:      	xorg-x11-drv-via
Version:   	0.2.2
Release:   	2
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	via.xinf

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk
%if %{with_xvmc}
BuildRequires: 	libXvMC-devel
%endif
%if %{with_dri}
BuildRequires: 	libdrm-devel
%endif
Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-via

%description 
X.Org X11 via video driver.

%if %{with_xvmc}
%package devel
Summary:   Xorg X11 via video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 via video driver XvMC development package.
%endif

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static \
%if %{with_dri}
           --enable-dri
%else
           --disable-dri
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/via_drv.so
%{_datadir}/hwdata/videoaliases/via.xinf
%if %{with_xvmc}
%{_libdir}/libviaXvMC.so.1
%{_libdir}/libviaXvMC.so.1.0.0
%{_libdir}/libviaXvMCPro.so.1
%{_libdir}/libviaXvMCPro.so.1.0.0
%endif
#%dir %{_mandir}/man4x
%{_mandir}/man4/via.4*

%if %{with_xvmc}
%files devel
%defattr(-,root,root,-)
%{_libdir}/libviaXvMC.so
%{_libdir}/libviaXvMCPro.so
%endif

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.2.1-1
- Initial release
